MarketPe APIs
Trip

Trip List

trip/list

POST /trip/list

Request

{
  "createdTimeFrom": "2025-11-12T10:00:00+05:30",
  "createdTimeTo": "2025-11-13T10:00:00+05:30"
}

"2025-11-12T10:00:00+05:30" represents 10AM india time.
You can also pass ISO format like "2025-11-12T10:00:00.000Z" but you need to adjust time as this represents 3.30PM india time.

Request Parameters

ParameterTypeRequiredDescription
createdTimeFromstringYesStart of the trip-creation time range (inclusive). ISO 8601.
createdTimeTostringYesEnd of the trip-creation time range (exclusive). ISO 8601.

The window between createdTimeFrom and createdTimeTo cannot exceed 32 days.

Response

{
  "status": "success",
  "data": [
    {
      "id": "marketpe1234",
      "autoIdentifier": "TRIP-001",
      ...
    },
    {
      "id": "marketpe1235",
      "autoIdentifier": "TRIP-002",
      ...
    }
  ]
}

Last updated on